Summary:	A utility which lists open files on a Linux/UNIX system.
Name:		lsof
Group:		Administration/Tools
License:	Free
Version:	4.75
Release:	1
Source0:	ftp://vic.cc.purdue.edu/pub/tools/unix/lsof/lsof_%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{release}-root

%description
Lsof stands for LiSt Open Files, and it does just that: it lists
information about files that are open by the processes running on a
UNIX system.

%prep
%setup -q -c -n lsof_%{version}

  #
  # Sort out whether this is the wrapped or linux specific tar ball.
  #
  [ -f lsof_%{version}.tar ] && tar xf lsof_%{version}.tar
  [ -d lsof_%{version}.linux -a ! -d lsof_%{version} ] && \
	mv lsof_%{version}.linux lsof_%{version}
  [ -d lsof_%{version} ] && cd lsof_%{version}

%build
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  #
  # ### Sort out whether this is the wrapped or linux specific tar ball.
  #
  [ -d lsof_%{version} ] && cd lsof_%{version}
  tar -xf lsof_%{version}_src.tar && cd lsof_%{version}_src

  LSOF_VERS=22012 LSOF_VSTR=2.2.12 LINUX_BASE=/proc \
	./Configure -n linux

  make CDEF="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  #
  # ### Sort out whether this is the wrapped or linux specific tar ball.
  #
  [ -d lsof_%{version} ] && cd lsof_%{version} && cd lsof_%{version}_src

  install -d ${RPM_BUILD_ROOT}%{_sbindir}
  install -d ${RPM_BUILD_ROOT}%{_mandir}/man8
  install -s lsof ${RPM_BUILD_ROOT}%{_sbindir}
  install lsof.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root)
  %doc lsof_%{version}/00*
  %doc %{_mandir}/man8/lsof.8*
  %attr(0510,root,admin)	%{_sbindir}/lsof

%changelog
* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 4.75, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
